using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;

namespace KreiseSortieren
{
   public struct Kreis
   {
      public double XWert;
      public double YWert;
      public double Radius;

      public Kreis(double x, double y, double r)
      {
         this.XWert = x;
         this.YWert = y;
         this.Radius = r;
      }
   }

   class Program
   {
      static void Main(string[] args)
      {
         ArrayList Kreise = new ArrayList();

         Kreise.Add(new Kreis(0, 0, 1));
         Kreise.Add(new Kreis(0, 0, 3));
         Kreise.Add(new Kreis(0, 0, 2));

         Console.WriteLine("Vor der Sortierung:");
         foreach (Kreis k in Kreise)
            Console.WriteLine("   Radius = {0}", k.Radius);
      }
   }
}
